Bug 1650396 - [RFE] Include option to choose Allocation pools, DNS Nameserver, Host Routes while creating OpenStack Network
Summary: [RFE] Include option to choose Allocation pools, DNS Nameserver, Host Routes ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.9.5
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: GA
: 5.11.0
Assignee: Scott Seago
QA Contact: Ido Ovadia
Red Hat CloudForms Documentation
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-16 05:22 UTC by Niladri Roy
Modified: 2019-12-12 13:34 UTC (History)
7 users (show)

Fixed In Version: 5.11.0.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-12-12 13:34:23 UTC
Category: ---
Cloudforms Team: Openstack
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:4199 0 None None None 2019-12-12 13:34:38 UTC

Comment 4 Scott Seago 2019-01-10 19:52:41 UTC
PR posted: https://github.com/ManageIQ/manageiq-ui-classic/pull/5151

One note for testing this: Unlike Horizon, CloudForms does not embed a 'new Subnet' form within the 'new Network' form, so these new fields are found in the create (and update) forms in the Subnet UI rather than in the Network UI.

Comment 5 Scott Seago 2019-01-11 19:22:28 UTC
Should have moved it to ON_DEV rather than ON_QA

Comment 6 CFME Bot 2019-04-04 18:33:30 UTC
New commit detected on ManageIQ/manageiq-ui-classic/master:

https://github.com/ManageIQ/manageiq-ui-classic/commit/567cfcba1f23ee9110e2d4a0ee7c224ac6d78702
commit 567cfcba1f23ee9110e2d4a0ee7c224ac6d78702
Author:     Scott Seago <sseago@redhat.com>
AuthorDate: Thu Jan 10 13:37:14 2019 -0500
Commit:     Scott Seago <sseago@redhat.com>
CommitDate: Thu Jan 10 13:37:14 2019 -0500

    BZ1650396: Add Allocation pools, Nameserver, Host Routes to Subnet UI

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1650396

    Allocation pools, DNS Nameserver, Host Routes to Subnet CRUD were
    included in Subnet show view, but were missing in the create
    and update forms.

    This commit adds those fields.

 app/assets/javascripts/components/cloud_subnet/cloud-subnet-form.js | 29 +-
 app/controllers/cloud_subnet_controller.rb | 108 +-
 app/helpers/cloud_subnet_helper/textual_summary.rb | 6 +-
 app/views/static/cloud_subnet/cloud-subnet-form.html.haml | 24 +
 spec/controllers/cloud_subnet_controller_spec.rb | 37 +-
 spec/helpers/cloud_subnet_helper/textual_summary_spec.rb | 2 +-
 spec/javascripts/components/cloud_subnet/cloud_subnet_form_spec.js | 5 +-
 7 files changed, 167 insertions(+), 44 deletions(-)

Comment 8 Ido Ovadia 2019-07-31 14:49:43 UTC
Verified
========
5.11.0.16

All options are added: Allocation pools, DNS Nameserver, Host Routes

Tested only functionality of allocation pools

Comment 10 errata-xmlrpc 2019-12-12 13:34:23 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:4199


Note You need to log in before you can comment on or make changes to this bug.